﻿Imports ThinkGeo.MapSuite.Drawing
Imports ThinkGeo.MapSuite.Layers
''' <summary>
''' Cayzu #10548
''' Added the ability to create arrows in the page layout view
''' SET 01/10/2019
''' </summary>
<Serializable()>
Public Class CustomArrowPrinterLayer
  Inherits PrinterLayer
  Public Sub New()
    MyBase.New()
    BackgroundMask = New CustomPrinterLayerArrowStyle()
  End Sub
  Public Sub New(oArrowColor As GeoColor, iArrowSize As Integer, iLineWidth As Integer)
    MyBase.New()
    BackgroundMask = New CustomPrinterLayerArrowStyle(oArrowColor, iArrowSize, iLineWidth)
  End Sub
  Public Property ArrowStyle As CustomPrinterLayerArrowStyle
    Get
      Return CType(BackgroundMask, CustomPrinterLayerArrowStyle)
    End Get
    Set(value As CustomPrinterLayerArrowStyle)
      BackgroundMask = value
    End Set
  End Property
End Class
