﻿Imports System.Collections.ObjectModel
Imports PageLayoutControl.PrinterLayerDrawingUtilities
Imports ThinkGeo.MapSuite.Drawing
Imports ThinkGeo.MapSuite.Shapes
Imports ThinkGeo.MapSuite.Styles
''' <summary>
''' Cayzu #10548
''' Added the ability to create arrows in the page layout view
''' SET 01/10/2019
''' </summary>
<Serializable()>
Public Class CustomPrinterLayerArrowStyle
  Inherits AreaStyle
  Public Property ArrowSize As Single = 2
  Public Property LineWidth As Single = 2
  Public Property ArrowColor As GeoColor = GeoColors.Black
  Public Property DrawingPreview As Boolean = False
  Public Property ArrowOrientation As EnumPageLayoutArrowDirection
  Public Sub New(oArrowColor As GeoColor, iArrowSize As Integer, iLineWidth As Integer)
    MyBase.New(New GeoSolidBrush(GeoColors.Transparent))
    ArrowColor = oArrowColor
    ArrowSize = iArrowSize
    LineWidth = iLineWidth
  End Sub
  Public Sub New()

  End Sub
  Protected Overrides Sub DrawCore(oFeatures As IEnumerable(Of Feature), oGeoCanvas As GeoCanvas, oLabelsInThisLayer As Collection(Of SimpleCandidate), oLabelsInAllLayers As Collection(Of SimpleCandidate))
    DrawArrow(oFeatures, oGeoCanvas, oLabelsInThisLayer, oLabelsInAllLayers, ArrowSize, LineWidth, ArrowOrientation, ArrowColor, DrawingPreview)

  End Sub
End Class
