﻿Imports System.IO
Imports System.Drawing.Printing
Imports ThinkGeo.MapSuite.Drawing

Public Class DotNetUtils
  Public Shared Function GeoImageFromBitmap(ByVal oBitmap As Bitmap) As GeoImage
    Dim oMemStream As New MemoryStream()
    Dim oGeoImage As GeoImage = Nothing

    Try
      oBitmap.Save(oMemStream, System.Drawing.Imaging.ImageFormat.Jpeg)
      oGeoImage = New GeoImage(oMemStream)
    Catch
    End Try

    Return oGeoImage
  End Function
  Public Shared Function GetPrinter() As PrinterSettings
    Dim oPrintDialog As New PrintDialog
    Dim oPrinterSettings As PrinterSettings = Nothing

    With oPrintDialog
      If Not .ShowDialog() = DialogResult.Cancel Then
        oPrinterSettings = .PrinterSettings
      End If
    End With
    Return oPrinterSettings
  End Function

End Class
